Skip to main content

Update Warranty Policy

PUT 

/api/repairs/warranty-policies/:policy

Update Warranty Policy.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • name (optional): string, max:120
  • description (optional): string, max:5000
  • customer_coverage_text (optional): string, max:5000
  • term_type (optional): Enum:in:"lifetime","months","none"
  • term_months (required): integer, min:1, max:1200
  • start_event (optional): Enum:in:"shipped","delivered","ordered","registered"
  • product_id (optional): integer, exists:products,id
  • product_category_id (optional): integer, exists:product_categories,id
  • brand_id (optional): integer, exists:product_brands,id
  • sales_channel_id (optional): integer, exists:sales_channels,id
  • sub_sales_channel_id (optional): integer, exists:sub_sales_channels,id
  • customer_group (optional): In:in:"wholesale","dtc"
  • purchased_from (optional): date_format:Y-m-d
  • purchased_to (optional): date_format:Y-m-d, after_or_equal:purchased_from
  • covered_root_causes (optional): array
  • covered_root_causes.* (optional): string, Enum:in:"manufacturing_defect","wear_and_tear","accidental_damage","misuse","shipping_damage","no_fault_found","unknown"
  • covered_issue_type_ids (optional): array
  • covered_issue_type_ids.* (optional): integer, distinct, exists:repair_issue_types,id
  • excluded_issue_type_ids (optional): array
  • excluded_issue_type_ids.* (optional): integer, distinct, exists:repair_issue_types,id
  • excluded_order_tags (optional): array, max:50
  • excluded_order_tags.* (optional): string, max:100
  • excluded_product_tags (optional): array, max:50
  • excluded_product_tags.* (optional): string, max:100
  • decision_target_business_days (optional): integer, min:1, max:365
  • proof_of_purchase (optional): Enum:in:"required","preferred","not_required"
  • max_claims_per_unit (optional): integer, min:1, max:1000
  • claim_cooldown_days (optional): integer, min:0, max:3650
  • inbound_shipping (optional): Enum:in:"customer_pays","brand_pays","flat_fee"
  • inbound_flat_fee (required): numeric, min:0, max:99999999
  • return_shipping (optional): Enum:in:"customer_pays","brand_pays","flat_fee"
  • return_flat_fee (required): numeric, min:0, max:99999999
  • assessment_fee (optional): numeric, min:0, max:99999999
  • out_of_coverage (optional): Enum:in:"paid_repair","discount_offer","decline"
  • out_of_coverage_discount_pct (required): numeric, min:0, max:100
  • preferred_resolutions (optional): array
  • preferred_resolutions.* (optional): string, distinct, Enum:in:"repaired","parts_sent","replaced","refurbished_to_stock","unrepairable_credited","unrepairable_returned","no_faul
  • allow_transfer (optional): boolean
  • return_required (optional): boolean
  • sla_policy_id (optional): integer, exists:repair_sla_policies,id
  • reserve_rate_pct (optional): numeric, min:0, max:100
  • reserve_amount_per_unit (optional): numeric, min:0, max:99999999
  • priority (optional): integer, min:0, max:100000
  • is_active (optional): boolean
  • component_terms (optional): array, max:50
  • component_terms.*.component_label (required): string, max:80
  • component_terms.*.issue_type_id (optional): integer, exists:repair_issue_types,id
  • component_terms.*.term_type (required): Enum:in:"lifetime","months","none"
  • component_terms.*.term_months (required): integer, min:1, max:1200
  • fee_guardrail_acknowledged (optional): boolean

Permission: repairs.manage_settings. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type